import java.util.*;
import java.io.*;

public class TopicTermMatrix {
	
	public static final int NUM_OF_TOPICS = 20;
	
	private List<TopicTerm> topicTermMatrix = new ArrayList<TopicTerm>();
	
	public void parse(File f) {
		FileReader fr = null;
		BufferedReader br = null;
		try {
			fr = new FileReader(f);
			br = new BufferedReader(fr);
			String str = null;
			while((str = br.readLine()) != null) {
				String[] strs = str.split("\t");
				TopicTerm tt = new TopicTerm();
				tt.add(strs);
				topicTermMatrix.add(tt);
			}
			br.close();
		} catch(IOException e) {
			e.printStackTrace();
		}
	}
	
	public TopicTerm get(int i) {
		return topicTermMatrix.get(i);
	}
	
	public void print() {
		for(int i=0; i<NUM_OF_TOPICS; i++) {
			System.out.print(i + ":");
			topicTermMatrix.get(i).print();
		}
		System.out.println();
	}

}
