import java.io.*;

public class WordDistributionDocGeneration {
	
	public static final String INPUT_DIR = "DocumentsAfterPreProcessing";
	
	public static final String OUTPUT_DIR = ".";

	public void generateWordDistributionDoc() {
		System.out.println("Word distribution Doc generation start!");
		try {
			String s;
			Process process = Runtime.getRuntime().exec("python text2ldac.py --output " + OUTPUT_DIR  + " " + INPUT_DIR);
			BufferedReader br = new BufferedReader(new InputStreamReader(process.getInputStream()));
			while((s = br.readLine()) != null) {
				System.out.println(s);
			}
			br.close();
			process.waitFor();
		} catch (IOException e) {
			e.printStackTrace();
		} catch(InterruptedException e) {
			e.printStackTrace();
		}
		System.out.println("Word distribution Doc generation finished!");
		System.out.println("===============================================================");
	}
	
	public static void main(String[] args) {
		new WordDistributionDocGeneration().generateWordDistributionDoc();
	}
}
